Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 207460 - aliases for Times New Roman/Arial/Courier New/...
Summary: aliases for Times New Roman/Arial/Courier New/...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: fontconfig
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Target
TreeView+ depends on / blocked
 
Reported: 2006-09-21 08:16 UTC by Caolan McNamara
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 2.4.1-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-09-22 15:45:44 UTC


Attachments (Terms of Use)

Description Caolan McNamara 2006-09-21 08:16:52 UTC
Description of problem:

We need fontconfig to prefer the metrically equivalent available fonts as
fallbacks for Times New Roman/Arial and Courier New

i.e. 

Times New Roman -> 1st level Thorndale AMT & 2nd level Nimbus Roman No9 L
Arial -> Albany AMT
Courier New -> Cumberland AMT

and then...
Thorndale -> Thorndale AMT and 2nd level Nimbus Roman No9 L
Albany -> Albany AMT
Cumberland -> Cumberland AMT

We had the logic the way we needed earlier in the older conf files
so expected results for FC-6 is...

fc-match "Times New Roman" is Nimbus Roman No9 L
fc-match "Thorndale AMT" is Nimbus Roman No9 L
fc-match "Thorndale" is Nimbus Roman No9 L

for RHEL-5

fc-match "Times New Roman" is Thorndale AMT
fc-match "Thorndale" is Thorndale AMT
fc-match "Arial" is Albany AMT
fc-match "Albany" is Albany AMT
fc-match "Courier New" is Cumberland AMT
fc-match "Cumberland" is Cumberland AMT

Comment 1 Behdad Esfahbod 2006-09-22 15:42:47 UTC
Ok, with what I'm pushing now, I get (for fc6, followed by for rhel):

[root@home ~]# ./test 
======== Times
n021003l.pfb: "Nimbus Roman No9 L" "Regular"
======== Times New Roman
n021003l.pfb: "Nimbus Roman No9 L" "Regular"
======== Thorndale
n021003l.pfb: "Nimbus Roman No9 L" "Regular"
======== Thorndale AMT
n021003l.pfb: "Nimbus Roman No9 L" "Regular"

======== Helvetica
n019003l.pfb: "Nimbus Sans L" "Regular"
======== Arial
n019003l.pfb: "Nimbus Sans L" "Regular"
======== Albany
n019003l.pfb: "Nimbus Sans L" "Regular"
======== Albany AMT
n019003l.pfb: "Nimbus Sans L" "Regular"

======== Courier
cour.pfa: "Courier" "Regular"
======== Courier New
n022003l.pfb: "Nimbus Mono L" "Regular"
======== Cumberland
n022003l.pfb: "Nimbus Mono L" "Regular"
======== Cumberland AMT
n022003l.pfb: "Nimbus Mono L" "Regular"


[root@home ~]# rpm -Uvh fonts-monotype-0.1-1.noarch.rpm
[root@home ~]# ./test 
======== Times
n021003l.pfb: "Nimbus Roman No9 L" "Regular"
======== Times New Roman
THOWR___.ttf: "Thorndale AMT" "Regular"
======== Thorndale
THOWR___.ttf: "Thorndale AMT" "Regular"
======== Thorndale AMT
THOWR___.ttf: "Thorndale AMT" "Regular"

======== Helvetica
n019003l.pfb: "Nimbus Sans L" "Regular"
======== Arial
albw.ttf: "Albany AMT" "Regular"
======== Albany
albw.ttf: "Albany AMT" "Regular"
======== Albany AMT
albw.ttf: "Albany AMT" "Regular"

======== Courier
cour.pfa: "Courier" "Regular"
======== Courier New
Cumbwr__.ttf: "Cumberland AMT" "Regular"
======== Cumberland
Cumbwr__.ttf: "Cumberland AMT" "Regular"
======== Cumberland AMT
Cumbwr__.ttf: "Cumberland AMT" "Regular"



Note You need to log in before you can comment on or make changes to this bug.